Package com.pixelmed.network

# Class PresentationContext

java.lang.Object
com.pixelmed.network.PresentationContext

public class PresentationContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`PresentationContext(byte identifier)`
`PresentationContext(byte identifier, byte resultReason)`
`PresentationContext(byte identifier, byte resultReason, String abstractSyntaxUID)`
`PresentationContext(byte identifier, byte resultReason, String abstractSyntaxUID, String transferSyntaxUID)`
`PresentationContext(byte identifier, byte resultReason, String abstractSyntaxUID, LinkedList transferSyntaxUIDs)`
`PresentationContext(byte identifier, String abstractSyntaxUID)`
`PresentationContext(byte identifier, String abstractSyntaxUID, String transferSyntaxUID)`
`PresentationContext(byte identifier, String abstractSyntaxUID, LinkedList transferSyntaxUIDs)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTransferSyntaxUID(String transferSyntaxUID)`
`String`
`getAbstractSyntaxUID()`
`byte`
`getIdentifier()`
`byte`
`getResultReason()`
`String`
`getTransferSyntaxUID()`
`List`
`getTransferSyntaxUIDs()`
`void`
`newTransferSyntaxUIDs()`
`void`
`setAbstractSyntaxUID(String uid)`
`void`
`setIdentifier(byte identifier)`
`void`
`setResultReason(byte resultReason)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PresentationContext

public PresentationContext(byte identifier)

Parameters:
  `identifier` -

### PresentationContext

public PresentationContext(byte identifier, String abstractSyntaxUID)

Parameters:
  `identifier` -
  `abstractSyntaxUID` -

### PresentationContext

public PresentationContext(byte identifier, String abstractSyntaxUID, String transferSyntaxUID)

Parameters:
  `identifier` -
  `abstractSyntaxUID` -
  `transferSyntaxUID` -

### PresentationContext

public PresentationContext(byte identifier, String abstractSyntaxUID, LinkedList transferSyntaxUIDs)

Parameters:
  `identifier` -
  `abstractSyntaxUID` -
  `transferSyntaxUIDs` -

### PresentationContext

public PresentationContext(byte identifier, byte resultReason)

Parameters:
  `identifier` -
  `resultReason` -

### PresentationContext

public PresentationContext(byte identifier, byte resultReason, String abstractSyntaxUID)

Parameters:
  `identifier` -
  `resultReason` -
  `abstractSyntaxUID` -

### PresentationContext

public PresentationContext(byte identifier, byte resultReason, String abstractSyntaxUID, String transferSyntaxUID)

Parameters:
  `identifier` -
  `resultReason` -
  `abstractSyntaxUID` -
  `transferSyntaxUID` -

### PresentationContext

public PresentationContext(byte identifier, byte resultReason, String abstractSyntaxUID, LinkedList transferSyntaxUIDs)

Parameters:
  `identifier` -
  `resultReason` -
  `abstractSyntaxUID` -
  `transferSyntaxUIDs` -

## Method Details

### newTransferSyntaxUIDs

public void newTransferSyntaxUIDs()

### addTransferSyntaxUID

public void addTransferSyntaxUID(String transferSyntaxUID)

Parameters:
  `transferSyntaxUID` -

### getTransferSyntaxUIDs

public List getTransferSyntaxUIDs()

### getTransferSyntaxUID

public String getTransferSyntaxUID()

### getAbstractSyntaxUID

public String getAbstractSyntaxUID()

### setAbstractSyntaxUID

public void setAbstractSyntaxUID(String uid)

Parameters:
  `uid` -

### getIdentifier

public byte getIdentifier()

### setIdentifier

public void setIdentifier(byte identifier)

Parameters:
  `identifier` -

### getResultReason

public byte getResultReason()

### setResultReason

public void setResultReason(byte resultReason)

Parameters:
  `resultReason` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`